unit CLKU;

interface

  function cCheckLock(AppName, ParamFile, ParamEncPass : PChar; ParamEncMethod : Integer; HardwareIDMethod : Integer) : Integer; stdcall;
  procedure CodeFile(InFile, OutFile, CodingPassword : PChar; CodingMethod : Integer; ShouldEncode : Boolean); stdcall;
  function CodeText(InText, CodingPassword : PChar; CodingMethod : Integer; ShouldEncode : Boolean) : PChar; stdcall;
  function ShowLockWindow(AppName, ParamFile, ParamEncPass : PChar; ParamEncMethod : Integer; OptionalMessage : PChar; HardwareIDMethod : Integer) : Integer; stdcall;
  function IsProgramActivated(AppName, ParamFile, ParamEncPass : PChar; ParamEncMethod : Integer; HardwareIDMethod : Integer) : Integer; stdcall;
  function cCheckLockEx(AppName, ParamFile, ParamEncPass : PChar; ParamEncMethod : Integer; HardwareIDMethod : Integer; StoreLockInfoInRegistry : Integer) : Integer; stdcall;
  function GetSuccessConst(ParamFile, ParamEncPass : PChar; ParamEncMethod : Integer) : Integer; stdcall;
  function GetFileID(FileName : PChar; Password : PChar) : PChar; stdcall;
  function CheckExeFileID(ParamFile, ParamEncPass : PChar; ParamEncMethod : Integer) : Integer; stdcall;
  function GetExeFileID(ParamFile, ParamEncPass : PChar; ParamEncMethod : Integer) : PChar; stdcall;

  function cCheckLockIni(AppName, ParamFile, ParamEncPass : PChar; ParamEncMethod : Integer; HardwareIDMethod : Integer; ACIniMethod : Integer; ACIniDir : PChar; ACIniFile : PChar) : Integer; stdcall;
  function ShowLockWindowIni(AppName, ParamFile, ParamEncPass : PChar; ParamEncMethod : Integer; OptionalMessage : PChar; HardwareIDMethod : Integer; ACIniMethod : Integer; ACIniDir : PChar; ACIniFile : PChar) : Integer; stdcall;
  function IsProgramActivatedIni(AppName, ParamFile, ParamEncPass : PChar; ParamEncMethod : Integer; HardwareIDMethod : Integer; ACIniMethod : Integer; ACIniDir : PChar; ACIniFile : PChar) : Integer; stdcall;

  function cCheckLockReg(AppName, ParamFile, ParamEncPass : PChar; ParamEncMethod : Integer; HardwareIDMethod : Integer; ACRegKey : PChar) : Integer; stdcall;
  function ShowLockWindowReg(AppName, ParamFile, ParamEncPass : PChar; ParamEncMethod : Integer; OptionalMessage : PChar; HardwareIDMethod : Integer; ACRegKey : PChar) : Integer; stdcall;
  function IsProgramActivatedReg(AppName, ParamFile, ParamEncPass : PChar; ParamEncMethod : Integer; HardwareIDMethod : Integer; ACRegKey : PChar) : Integer; stdcall;

  function CAC(ParamFile, ParamEncPass : PChar; ParamEncMethod : Integer) : Integer; stdcall;

  function StoreExParamStr(ParamFile : PChar; ParamEncPass : PChar; ParamEncMethod : Integer; ParName : PChar; ParValue : PChar) : Integer; stdcall;
  function RestoreExParamStr(ParamFile : PChar; ParamEncPass : PChar; ParamEncMethod : Integer; ParName : PChar) : PChar; stdcall;

  function StoreExParamInt(ParamFile : PChar; ParamEncPass : PChar; ParamEncMethod : Integer; ParName : PChar; ParValue : Integer) : Integer; stdcall;
  function RestoreExParamInt(ParamFile : PChar; ParamEncPass : PChar; ParamEncMethod : Integer; ParName : PChar) : Integer; stdcall;

  function StoreExParamBool(ParamFile : PChar; ParamEncPass : PChar; ParamEncMethod : Integer; ParName : PChar; ParValue : Integer) : Integer; stdcall;
  function RestoreExParamBool(ParamFile : PChar; ParamEncPass : PChar; ParamEncMethod : Integer; ParName : PChar) : Integer; stdcall;

  function GetFileMD5(InFileName : PChar) : PChar; stdcall;
  function GetTextMD5(InText : PChar) : PChar; stdcall;

implementation

  function cCheckLock; external 'CLK.dll' Name 'cCheckLock'; stdcall;
  procedure CodeFile; external 'CLK.dll' Name 'CodeFile'; stdcall;
  function CodeText; external 'CLK.dll' Name 'CodeText'; stdcall;
  function ShowLockWindow; external 'CLK.dll' Name 'ShowLockWindow'; stdcall;
  function IsProgramActivated; external 'CLK.dll' Name 'IsProgramActivated'; stdcall;
  function cCheckLockEx; external 'CLK.dll' Name 'cCheckLockEx'; stdcall;
  function GetSuccessConst; external 'CLK.dll' Name 'GetSuccessConst'; stdcall;
  function GetFileID; external 'CLK.dll' Name 'GetFileID'; stdcall;
  function CheckExeFileID; external 'CLK.dll' Name 'CheckExeFileID'; stdcall;
  function GetExeFileID; external 'CLK.dll' Name 'GetExeFileID'; stdcall;

  function cCheckLockIni; external 'CLK.dll' Name 'cCheckLockIni'; stdcall;
  function ShowLockWindowIni; external 'CLK.dll' Name 'ShowLockWindowIni'; stdcall;
  function IsProgramActivatedIni; external 'CLK.dll' Name 'IsProgramActivatedIni'; stdcall;

  function cCheckLockReg; external 'CLK.dll' Name 'cCheckLockReg'; stdcall;
  function ShowLockWindowReg; external 'CLK.dll' Name 'ShowLockWindowReg'; stdcall;
  function IsProgramActivatedReg; external 'CLK.dll' Name 'IsProgramActivatedReg'; stdcall;

  function CAC; external 'CLK.dll' Name 'CAC'; stdcall;

  function StoreExParamStr; external 'CLK.dll' Name 'StoreExParamStr'; stdcall;
  function RestoreExParamStr; external 'CLK.dll' Name 'RestoreExParamStr'; stdcall;

  function StoreExParamInt; external 'CLK.dll' Name 'StoreExParamInt'; stdcall;
  function RestoreExParamInt; external 'CLK.dll' Name 'RestoreExParamInt'; stdcall;

  function StoreExParamBool; external 'CLK.dll' Name 'StoreExParamBool'; stdcall;
  function RestoreExParamBool; external 'CLK.dll' Name 'RestoreExParamBool'; stdcall;

  function GetFileMD5; external 'CLK.dll' Name 'GetFileMD5'; stdcall;
  function GetTextMD5; external 'CLK.dll' Name 'GetTextMD5'; stdcall;
end.

